Bug 204416 - Review Request: libtelepathy - library to ease writing of telepathy clients
Review Request: libtelepathy - library to ease writing of telepathy clients
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-28 19:02 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 14:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-08-28 19:02:59 EDT
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/libtelepathy.spec
SRPM URL: http://piedmont.homelinux.org/fedora/telepathy/libtelepathy-0.0.31-1.src.rpm
Description: The Telepathy project aims to provide a unified framework for all forms of real time conversations, including instant messaging, IRC, voice calls and video calls. It uses the DBus messaging system to provide a simple interface for client applications, allowing them to quickly benefit from Telepathy's functionality.

libtelepathy is a glib library to ease writing telepathy clients.
Comment 1 Parag AN(पराग) 2006-09-05 07:11:47 EDT
{Not Official Reviewer}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6
+ rpmlint on binary rpm is silent
+ dist tag is present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ devel package is handled correctly
+ MD5 sum on tarball is matching upstream tarball
31e24aed049c60aa18a47cbc19a1d69e  libtelepathy-0.0.31.tar.gz
+ No duplicate files

Not tested package.
Comment 2 Brian Pepple 2006-09-12 14:29:39 EDT
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/libtelepathy.spec
SRPM URL:
http://piedmont.homelinux.org/fedora/telepathy/libtelepathy-0.0.37-1.src.rpm

* Tue Sep 12 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.37-1
- Update to 0.0.37.
Comment 3 Parag AN(पराग) 2006-09-13 08:44:55 EDT
{Not Official Reviewer}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6
+ rpmlint on binary rpm is silent
+ dist tag is present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ devel package is handled correctly
+ MD5 sum on tarball is matching upstream tarball
98cd5963b02396a7698b064cf5097dcd  libtelepathy-0.0.37.tar.gz
+ No duplicate files

Not tested package.

Comment 4 Mamoru TASAKA 2006-09-16 06:43:34 EDT
I will review this later.
Comment 5 Mamoru TASAKA 2006-09-16 07:08:40 EDT
Before checking 0.0.37-1 :

I cannot rebuild this on FC5.

DEBUG: Executing /usr/sbin/mock-helper chroot
/var/lib/mock/fedora-5-i386-core/root /sbin/runuser - root -c "/sbin/runuser -c
'rpmbuild -bs --target i386 --nodeps /builddir/build/SPECS/libtelepathy.spec'
mockbuild"
warning: Could not canonicalize hostname: halo.mtk.ioa.s.u-tokyo.ac.jp
Building target platforms: i386
Building for target i386
Wrote: /builddir/build/SRPMS/libtelepathy-0.0.37-1.fc5.src.rpm
DEBUG: ensuring dir /var/lib/mock/fedora-5-i386-core/root/proc
DEBUG: mounting proc in /var/lib/mock/fedora-5-i386-core/root/proc
DEBUG: Executing /usr/sbin/mock-helper mount -t proc proc
/var/lib/mock/fedora-5-i386-core/root/proc
mount: proc already mounted or /var/lib/mock/fedora-5-i386-core/root/proc busy
mount: according to mtab, proc is mounted on /proc
DEBUG: ensuring dir /var/lib/mock/fedora-5-i386-core/root/dev/pts
DEBUG: mounting devpts in /var/lib/mock/fedora-5-i386-core/root/dev/pts
DEBUG: Executing /usr/sbin/mock-helper mount -t devpts devpts
/var/lib/mock/fedora-5-i386-core/root/dev/pts
mount: devpts already mounted or /var/lib/mock/fedora-5-i386-core/root/dev/pts busy
mount: according to mtab, devpts is mounted on /dev/pts
DEBUG: yum: command /usr/sbin/mock-helper yum --installroot
/var/lib/mock/fedora-5-i386-core/root resolvedep  'dbus-devel' 'dbus-glib-devel'
DEBUG: Executing /usr/sbin/mock-helper yum --installroot
/var/lib/mock/fedora-5-i386-core/root resolvedep  'dbus-devel' 'dbus-glib-devel'
No Package Found for dbus-glib-devel
0:dbus-devel-0.61-3.fc5.1.i386
Cannot find build req  dbus-glib-devel. Exiting.
ending
DEBUG: Executing /usr/sbin/mock-helper umount
/var/lib/mock/fedora-5-i386-core/root/proc
DEBUG: Executing /usr/sbin/mock-helper umount
/var/lib/mock/fedora-5-i386-core/root/dev/pts
done

See the argument on bug 206576 (this bug is marked as DEFERRED)
Comment 6 Brian Pepple 2006-09-16 08:59:32 EDT
Build this under FC6.  The spec isn't set-up for FC5, which will require
dbus-glib-devel to be changed to dbus-glib.
Comment 7 Mamoru TASAKA 2006-09-16 09:08:16 EDT
(In reply to comment #6)
> Build this under FC6.  The spec isn't set-up for FC5, which will require
> dbus-glib-devel to be changed to dbus-glib.

I mean that this spec file requires a "switch" to be built under
both FC6-devel and FC5.
Comment 8 Brian Pepple 2006-09-16 09:21:52 EDT
I'm not really planning on targetting FC5 at the moment, and if so will modify
the FC5 branch, and not use a switch.
Comment 9 Mamoru TASAKA 2006-09-16 10:13:42 EDT
1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

* Use rpmlint
  - rpmlint is not silent.

W: libtelepathy mixed-use-of-spaces-and-tabs
   Well, unify space/tab. For this case, don't use tabs in
   spec file. 
   sed -i -e 's|\t|  |g' foo.spec is the most simple way
   to remove tabs.

W: libtelepathy-devel no-documentation
   (I think this can be ignored.)

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
   = Nothing.

3. Other things I have noticed:
   = Nothing.

Fix space/tab issue on spec file.
However, I cannot find any problem aside this.

-----------------------------------------------------------------------
   This package (libtelepathy) is APPROVED by me.

Note You need to log in before you can comment on or make changes to this bug.